Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
DateData Union Reference

## Data Fields
unsigned | flags
struct SimpleDateData | s
struct ComplexDateData | c

## Detailed Description

Definition at line 278 of file date_core.c.

## Field Documentation

struct ComplexDateData DateData::c

Definition at line 281 of file date_core.c.

Referenced by c_virtual_sg(), canonicalize_c_jd(), clear_civil(), d_lite_gc_mark(), get_c_civil(), get_c_df(), get_c_jd(), get_c_time(), local_df(), local_jd(), m_df(), m_hour(), m_jd(), m_julian_p(), m_mday(), m_min(), m_mon(), m_nth(), m_of(), m_pc(), m_sec(), m_sf(), m_sg(), m_year(), set_of(), and set_sg().

unsigned DateData::flags

Definition at line 279 of file date_core.c.

Referenced by canonicalize_c_jd(), and canonicalize_s_jd().

struct SimpleDateData DateData::s

Definition at line 280 of file date_core.c.

Referenced by canonicalize_s_jd(), clear_civil(), d_lite_gc_mark(), get_s_civil(), get_s_jd(), m_jd(), m_julian_p(), m_local_jd(), m_mday(), m_mon(), m_nth(), m_pc(), m_sg(), m_year(), s_virtual_sg(), and set_sg().

The documentation for this union was generated from the following file:

- ext/date/date_core.c